io.etcd.jetcd.api

## Interface RoleOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Role, Role.Builder

    public interface RoleOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Permission` `getKeyPermission(int index)` `repeated .authpb.Permission keyPermission = 2;`
`int` `getKeyPermissionCount()` `repeated .authpb.Permission keyPermission = 2;`
`List<Permission>` `getKeyPermissionList()` `repeated .authpb.Permission keyPermission = 2;`
`PermissionOrBuilder` `getKeyPermissionOrBuilder(int index)` `repeated .authpb.Permission keyPermission = 2;`
`List<? extends PermissionOrBuilder>` `getKeyPermissionOrBuilderList()` `repeated .authpb.Permission keyPermission = 2;`
`com.google.protobuf.ByteString` `getName()` `bytes name = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getName

    com.google.protobuf.ByteString getName()

`bytes name = 1;`

Returns:
  The name.

#### getKeyPermissionList

    List<Permission> getKeyPermissionList()

`repeated .authpb.Permission keyPermission = 2;`

#### getKeyPermission

    Permission getKeyPermission(int index)

`repeated .authpb.Permission keyPermission = 2;`

#### getKeyPermissionCount

    int getKeyPermissionCount()

`repeated .authpb.Permission keyPermission = 2;`

#### getKeyPermissionOrBuilderList

    List<? extends PermissionOrBuilder> getKeyPermissionOrBuilderList()

`repeated .authpb.Permission keyPermission = 2;`

#### getKeyPermissionOrBuilder

    PermissionOrBuilder getKeyPermissionOrBuilder(int index)

`repeated .authpb.Permission keyPermission = 2;`